Inhalte

# Anweisung Public

Dimensioniert eine Variable oder ein Array auf Modulebene (also nicht innerhalb eine Subroutine oder Funktion), sodass die Variable oder das Array in allen Bibliotheken und Modulen gültig ist.

## Syntax:

    Public VarName[(Anfang bis Ende)] [As VarType][, VarName2[(Anfang bis Ende)] [As VarType][,…]]

## Beispiel:

    Public iPublicVar As Integer
    Sub ExamplePublic
        iPublicVar = iPublicVar + 1
        MsgBox iPublicVar
    End Sub